CONVDATE(1)

NAME
convdate - convert time/date strings and numbers

SYNOPSIS
convdate [ -c ] [ -n ] [ -s ] arg...

DESCRIPTION
Convdate translate the date/time strings specified as arguments on its command line, outputting the results one to a line.

OPTIONS

-c  If the ``-c'' flag is used, then each argument is taken to be a time_t and is output in ctime format.

-n  If the ``-n'' flag is used, then each argument is taken as a date string to be parsed by parsedate(3) and is output as a time_t; see time(2).

-s  If the ``-s'' flag is used, then each argument is taken as a date string to be parsed by parsedate(3) and is output as a string formatted by ctime(3). This is the default.

EXAMPLES
    % convdate 'feb 10 10am'
    Sun Feb 10 10:00:00 1991
    % convdate 12pm 5/4/90
    Fri Dec 13 00:00:00 1991
    Fri May  4 00:00:00 1990
    % convdate -n 'feb 10 10am' '12pm 5/4/90'
    666198000
    641880000
    % convdate -c 666198000
    Sun Feb 10 10:00:00 1991

HISTORY
Written by Rich $alz <rsalz@uunet.uu.net>.

SEE ALSO
parsedate(3).